<html>

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <link rel="stylesheet" href="https://unpkg.com/@shopify/polaris@4.0.0/styles.min.css" />

  <style>
    .Polaris-DataTable__Cell{
      white-space: normal;
    }

    .Polaris-DataTable__Table {
      table-layout: fixed;
    }

    .Polaris-DataTable__Cell--numeric {
      text-align: left;
    }

    .card-left {
      /* display: inline-block; */
      float:left; 
      width: 60%;
    }
    
    .card-right {
      /* display: inline-block; */
      width: 36%;
      float: right;
      margin-top: 0px !important;
    }

    .Polaris-Page__Content:after{ 
      clear:both
    }

    .table-quantity {
      text-align: center;
    }

    .Polaris-Page {
        max-width: 155.8rem;
    }

    .quantityHead {
      text-align: center !important;
    }

    .rightCardHeader {
      font-size: x-large;
      text-align: center;
      margin-top: 30px;
    }

  </style>
</head>

<body>

<div style="--top-bar-background:#00848e; --top-bar-background-lighter:#1d9ba4; --top-bar-color:#f9fafb; --p-frame-offset:0px;">
  <div class="Polaris-Page">
    <div class="Polaris-Page-Header">
      <div class="Polaris-Page-Header__MainContent">
        <div class="Polaris-Page-Header__TitleActionMenuWrapper">
          <div>
            <div class="Polaris-Header-Title__TitleAndSubtitleWrapper">
              <div class="Polaris-Header-Title">
                <h1 class="Polaris-DisplayText Polaris-DisplayText--sizeLarge">Quiz Details</h1>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="Polaris-Page__Content">
      <div class="Polaris-Card card-left">
        <div class="">
          <div class="Polaris-DataTable__Navigation"><button type="button" class="Polaris-Button Polaris-Button--disabled Polaris-Button--plain Polaris-Button--iconOnly" disabled="" aria-label="Scroll table left one column"><span class="Polaris-Button__Content"><span class="Polaris-Button__Icon"><span class="Polaris-Icon"><svg viewBox="0 0 20 20" class="Polaris-Icon__Svg" focusable="false" aria-hidden="true">
                      <path d="M12 16a.997.997 0 0 1-.707-.293l-5-5a.999.999 0 0 1 0-1.414l5-5a.999.999 0 1 1 1.414 1.414L8.414 10l4.293 4.293A.999.999 0 0 1 12 16" fill-rule="evenodd"></path>
                    </svg></span></span></span></button><button type="button" class="Polaris-Button Polaris-Button--plain Polaris-Button--iconOnly" aria-label="Scroll table right one column"><span class="Polaris-Button__Content"><span class="Polaris-Button__Icon"><span class="Polaris-Icon"><svg viewBox="0 0 20 20" class="Polaris-Icon__Svg" focusable="false" aria-hidden="true">
                      <path d="M8 16a.999.999 0 0 1-.707-1.707L11.586 10 7.293 5.707a.999.999 0 1 1 1.414-1.414l5 5a.999.999 0 0 1 0 1.414l-5 5A.997.997 0 0 1 8 16" fill-rule="evenodd"></path>
                    </svg></span></span></span></button></div>
          <div class="Polaris-DataTable">
            <div class="Polaris-DataTable__ScrollContainer">
              <table class="Polaris-DataTable__Table">
                <thead>
                  <tr>
                    <th data-polaris-header-cell="true" class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--firstColumn Polaris-DataTable__Cell--header" scope="col"><b>Question</b></th>
                    <th data-polaris-header-cell="true" class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--header Polaris-DataTable__Cell--numeric" scope="col"><b>Answer</b></th>
                  </tr>
                </thead>
                <tbody>
                <?php
                  if (isset($quizDetails) && !empty($quizDetails)) {
                    foreach ($quizDetails as $quizDetail) {  ?>
                      <tr class="Polaris-DataTable__TableRow">
                        <th class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--firstColumn" scope="row"><?php echo $quizDetail->question ?></th>
                        <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--numeric"><?php echo $quizDetail->response ?></td>
                      </tr>
                   <?php }
                  }
                ?>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>

      <div style="--top-bar-background:#00848e; --top-bar-background-lighter:#1d9ba4; --top-bar-color:#f9fafb; --p-frame-offset:0px;">
        <div class="Polaris-Card card-right">
          <div class="Polaris-Card__Header">
              <div class="Polaris-Card__SectionHeader">
                <h2 aria-label="Summary" class="Polaris-Subheading rightCardHeader"> Quiz Information</h2>
            </div>
          </div>

          <div class="Polaris-Card__Section">
              
            </div>
          <div class="Polaris-Card__Section">
            <div class="Polaris-Card__SectionHeader">
              <h3 aria-label="Reports" class="Polaris-Subheading">Quiz Id</h3>
            </div>
            <p><?php echo $sessionId ?></p>
          </div>
          <div class="Polaris-Card__Section">
            <div class="Polaris-Card__SectionHeader">
              <h3 aria-label="Summary" class="Polaris-Subheading"> Quiz Date</h3>
              <!-- <h1 class="Polaris-Heading">Quiz Date</h1> -->
            </div>
            <p><?php echo date("Y-m-d", strtotime($quizDetails[0]->created_at)) ?> </p>
          </div>
          <div class="Polaris-Card__Section">
            <div class="Polaris-Card__SectionHeader">
              <h1 aria-label="Summary" class="Polaris-Subheading">Recommendation Products</h1>
            </div>

            <!-- <div style="--top-bar-background:#00848e; --top-bar-background-lighter:#1d9ba4; --top-bar-color:#f9fafb; --p-frame-offset:0px;">
                <ul class="Polaris-List">
              <?php if(!empty($recommendation)) {

                foreach($recommendation as $recDetails) { ?>

                    <li class="Polaris-List__Item"><?php echo $recDetails->Name . " ". $recDetails->Quantity ?> </li>

                <?php }

              } ?>
            </ul>
          </div> -->
          <?php if(!empty($recommendation)) { ?>
          <table class="Polaris-DataTable__Table">
            <thead>
              <tr>
                <th data-polaris-header-cell="true" class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--firstColumn Polaris-DataTable__Cell--header"
                  scope="col"><b>Product Name</b></th>
                <th data-polaris-header-cell="true" class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--header Polaris-DataTable__Cell--numeric quantityHead"
                  scope="col"><b>Qty</b></th>
              </tr>
            </thead>
            <tbody>
                <?php foreach($recommendation as $recDetails) { ?>
                 <tr>   
                  <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--numeric td">
                    <?php echo $recDetails->Name ?>
                  </td>
                  <td class="Polaris-DataTable__Cell Polaris-DataTable__Cell--verticalAlignTop Polaris-DataTable__Cell--numeric td table-quantity">
                    <?php echo $recDetails->Quantity ?>
                  </td>
                </tr>
               <?php } ?>
            </tbody>
            </table>
            <?php } else{ ?>
                <div></div>
            <?php } ?>

          </div>
        </div>
      </div>

    </div>
  </div>
</div>

</body>

</html>


<script src="{{ URL::asset('js/jquery-3.1.1.min.js') }}"></script>

